datablock StaticShapeData(jailShape)
{
	shapeFile = "./jail.dts";
};

function serverCmdJail(%client, %input)
{
	if(%client.isAdmin)
	{
		%victim = findClientByName(%input).player;
		if(isObject(%client) && isObject(%victim) && isObject(findClientByName(%input)) && !isObject(%victim.jail))
		{
			%victim.jail = new StaticShape()
			{
				datablock = jailShape;
				position = %victim.getPosition();
				rotation = %victim.rotation;
			};
			%victim.jail.setNodeColor("ALL", "0.75 0.75 0.75 1");
			%victim.jail.setShapeName(findClientByName(%input).getPlayerName() @ "'s Jail");
			%victim.jail.setShapeNameDistance(50);
			%victim.setTransform(VectorAdd(%victim.getPosition(), "0 0 0.35"));
		}
	}
}

function serverCmdUnjail(%client, %input)
{		
	if(%client.isAdmin)
	{
		%victim = findClientByName(%input).player;
		if(isObject(%client) && isObject(%victim))
		{
			if(isObject(%victim.jail))
				%victim.jail.delete();
		}
	}
}

package jailPackage
{
	function serverCmdSuicide(%client)
	{
		if(isObject(%client.player.jail))
			return;
	
		Parent::serverCmdSuicide(%client);
	}
	
	function GameConnection::OnClientLeaveGame(%this) 
	{
		if(isObject(%this.player.jail))
			%this.player.jail.delete();

		Parent::OnClientLeaveGame(%this);
	}
	
	function GameConnection::onDeath(%this, %obj, %killer, %type, %pos)
	{
		if(isObject(%obj.jail))
			%obj.jail.delete();
		
		Parent::onDeath(%this, %obj, %killer, %type, %pos);
	}
};
activatePackage(jailPackage);